org.apache.tinkerpop.gremlin.tinkergraph.structure

## Class TinkerFactory

- java.lang.Object
- - org.apache.tinkerpop.gremlin.tinkergraph.structure.TinkerFactory

-     public final class TinkerFactory
      extends Object

  Helps create a variety of different toy graphs for testing and learning purposes.
  Author:
    Marko A. Rodriguez (http://markorodriguez.com), Stephen Mallette (http://stephen.genoprime.com)

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TinkerGraph` | `createClassic()` Create the "classic" graph which was the original toy graph from TinkerPop 2.x.
    `static TinkerGraph` | `createGratefulDead()` Creates the "grateful dead" graph which is a larger graph than most of the toy graphs but has real-world structure and application and is therefore useful for demonstrating more complex traversals.
    `static TinkerGraph` | `createKitchenSink()` Creates the "kitchen sink" graph which is a collection of structures (e.g.
    `static TinkerGraph` | `createModern()` Create the "modern" graph which has the same structure as the "classic" graph from TinkerPop 2.x but includes 3.x features like vertex labels.
    `static TinkerGraph` | `createTheCrew()` Create the "the crew" graph which is a TinkerPop 3.x toy graph showcasing many 3.x features like meta-properties, multi-properties and graph variables.
    `static void` | `generateClassic(TinkerGraph g)` Generate the graph in `createClassic()` into an existing graph.
    `static void` | `generateGratefulDead(TinkerGraph graph)` Generate the graph in `createGratefulDead()` into an existing graph.
    `static void` | `generateKitchenSink(TinkerGraph graph)` Generate the graph in `createKitchenSink()` into an existing graph.
    `static void` | `generateModern(TinkerGraph g)` Generate the graph in `createModern()` into an existing graph.
    `static void` | `generateTheCrew(TinkerGraph g)` Generate the graph in `createTheCrew()` into an existing graph.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createClassic

          public static TinkerGraph createClassic()

      Create the "classic" graph which was the original toy graph from TinkerPop 2.x.

    - #### generateClassic

          public static void generateClassic(TinkerGraph g)

      Generate the graph in `createClassic()` into an existing graph.

    - #### createModern

          public static TinkerGraph createModern()

      Create the "modern" graph which has the same structure as the "classic" graph from TinkerPop 2.x but includes 3.x features like vertex labels.

    - #### generateModern

          public static void generateModern(TinkerGraph g)

      Generate the graph in `createModern()` into an existing graph.

    - #### createTheCrew

          public static TinkerGraph createTheCrew()

      Create the "the crew" graph which is a TinkerPop 3.x toy graph showcasing many 3.x features like meta-properties, multi-properties and graph variables.

    - #### generateTheCrew

          public static void generateTheCrew(TinkerGraph g)

      Generate the graph in `createTheCrew()` into an existing graph.

    - #### createKitchenSink

          public static TinkerGraph createKitchenSink()

      Creates the "kitchen sink" graph which is a collection of structures (e.g. self-loops) that aren't represented in other graphs and are useful for various testing scenarios.

    - #### generateKitchenSink

          public static void generateKitchenSink(TinkerGraph graph)

      Generate the graph in `createKitchenSink()` into an existing graph.

    - #### createGratefulDead

          public static TinkerGraph createGratefulDead()

      Creates the "grateful dead" graph which is a larger graph than most of the toy graphs but has real-world structure and application and is therefore useful for demonstrating more complex traversals.

    - #### generateGratefulDead

          public static void generateGratefulDead(TinkerGraph graph)

      Generate the graph in `createGratefulDead()` into an existing graph.

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.